---
title: Nouvelle année et nouveau moteur pour le blog -- petit bilan 2019.
date: 2020-01-09T09:06:00+02:00
---

Une année se termine et une autre commence, c'est la vie, c'est comme ça. L'année 2019 à été riche encore pour moi, j'ai eu mon opération, mon garçon est arrivé en décembre, la sécu ne me reconnaît plus en accident de travail mais en simple maladie (cool de faire des réductions de charges sur le dos des contribuables), on conteste et on a de quoi le faire, maintenant vu que c'est un médecin conseil qui ne me connaît pas ni ne m'a jamais vu, c'est un peu parole contre parole... En tout cas mon docteur, elle n'est vraiment pas contente de la sécu. 

Sur le plan Libre, je n'ai pas fait  grand chose, un peu d'entretien pour Debian et le paquet que je maintiens officiellement, pas mal d'entretiens de paquets pour openSUSE, mais à part ça rien... Faut dire que malgré ce que la sécu dit, j'ai toujours pas mal de soucis de santé dû à mon accident.

J'ai testé pas mal de choses pour le blog, des *CMS*, des *GSS*, je dois finir les nombreux billets qui en parlent, notamment un sur [Publii](https://getpublii.com/) qui est une interface et un moteur pour générer un site static, puis aussi [Grav](https://getgrav.org/) un *CMS Flat-File* que j'ai testé sur une semaine.

![Pelican-logo](https://download.tuxfamily.org/passionlinux/logiciels/pelican-logo.png)

Il y a eu des changements sur le blog, un premier en Août où [je suis repassé sur Hugo](/retour-sous-hugo.html) et à coté je testais depuis Juin une version du site sur Pelican qui à été mise en place que récemment (hier). Ça fait un moment que je parle de [Pelican](https://blog.getpelican.com/) disant que c'était celui qui me correspondait mieux car plus compréhensible pour moi, je disais déjà ceci en [Décembre 2017](/hugo-jekyll-et-pelican-sont-testes.html). J'ai résolu les 98% des choses qui ne me convenaient pas ou qui à mes yeux merdaient, des choses dont j'arrivais pas à trouver le pourquoi du comment, là en laissant marriner, en testant sur le long terme, j'ai trouver.

Dans les choses qui n'allaientt pas je disais [ceci en Août](https://passiongnulinux.tuxfamily.org/retour-sous-hugo.html):

> Ça sera non pas Pelican mais bel et bien mon premier GSS Hugo qui fera le taf.
> 
> Je voulais tenter Pelican, depuis le temps que je le testais, ça allait plutôt bien:
>
> - j'avais ce que je voulais en terme de fonctions (tags, sitemap, ATOM ou RSS, divers thèmes adaptables...),
> - la configuration est bien compréhensible,
> - il y a des scripts facilitant la création du site et sa maintenance (principalement sur l'automatisation de l’envoi du site sur le serveur),
> - il y a une bonne documentation,
> - le projet bouge de façon humaine, c'est-à-dire qu'on peut suivre la cadence des sorties,
> - ...
>
> Mais car oui il y a un mais:
>
> - c'est tout aussi lent que Jekyll pour la "fabrication" du site ( plus ou moins 13 - 15 secondes pour compiler mon site avec ses +400 billets),
> - en locale j'avais ce que je voulais mais ça merdait une fois balancé sur le serveur (pas taper c'est sûrement moi qui merdais),
> - les thèmes ne sont pas ou peu suivis, j'ai du reste l'impression que c'est l'ensemble des thèmes et plugins qui peinent à être maintenu,
> - certaines syntaxes de Markdown ne fonctionnent pas contrairement à sous Jekyll et sous Hugo comme ~~barré~~ (entouré de deux ~),
> - ...

Pour la lenteur de "fabrication" du site, Pelican met autant voir un peu moins que Jekyll mais plus de temps que Hugo, généralement pour 400/500 billets Hugo met 500ms (0.50s) tandis que Pelican et Jekyll sont dans les 8-10s. J'ai trouvé une parade avec Pelican, c'est le ["cache"](https://docs.getpelican.com/en/stable/settings.html#reading-only-modified-content), je mets maintenant moins de 2 secondes, c'est toujours plus que Hugo mais ça reste convenable. En gros ça met en cache les pages, utilisant ce cache pour les pages qui sont inchangées et les autres sont compilées. Je crois de mémoire que c'est aussi le cas de Hugo, qui par défaut utilise l'option *fast-rendrer*. 

Le problème des changements non-voulus entre le local et le site distant, était dû à une option que je n'activais pas, enfin je suppose car depuis son activation c'est parfait! L'option est `RELATIVE_URLS`.

Les thèmes et plugins sont suivis mais ça bouge pas ou peu car pas de chamboulements sur le moteur du *GSS*. Quand je regarde Jekyll c'est plus ou moins pareil, ça fait des corrections mais pas beaucoup plus. 

Et pour finir la syntaxe fait partie des choses que je n'ai pas résolue, mais je vais y revenir.

On en vient donc à la partie qui continue à ne pas être parfait, la syntaxe markdown incomplète principalement, le manque de thèmes récents/modernes, l'index qui avec le thème actuelle n'est pas limité à un nombre de caractères...

Je reviens sur la syntaxe donc, j'ai des soucis d'URL qui sont en simples textes et non des liens dans le billet, en fait je parle de soucis mais ce n'est pas le cas, je devrais dire que j'ai été étonné de me trouver en face de ce comportement par rapport à ce que j'ai connu avec Jekyll et Hugo. Quand je tape *https://passiongnulinux.tuxfamily.org*, je m'attends à trouver <https://passiongnulinux.tuxfamily.org>, or ce n'est pas le cas avec Pelican contrairement à Hugo et Jekyll. Donc ce n'est pas un bug ou un manque, c'est juste le *markdown* utilisé, certains programmes utilisent un markdown légèrement amélioré qui fait cela automatiquement,  qui oblige du coup à rajouter un symbole devant l'adresse pour que ce ne soit pas interprété comme telle,  et d'autre comme Pelican utilise un markdown plus originel où il faudra ajouter l'adresse entre <> pour que ce soit interprété et convertie en adresse cliquable.

C'est donc résolu pour moi cette partie là, par contre dans la syntaxe, il ne me reste plus qu'a comprendre pourquoi les parties barrées (comme ~~partie barrée~~) ne le sont pas. Ça je ne me l'explique toujours pas.

Mise à part ça, je vais quand même positiver en disant que je suis enfin sous Pelican, j'arrive donc facilement à avoir ce que je veux comme une page archive qui regroupe tous les billets depuis le débuts (enfin ceux que je n'ai pas viré). j'ai aussi la possibilité de faire des catégories facilement en ajoutant mes fichiers.md dans des dossiers, alors que Jekyll et Hugo de ce que j'ai pu voir n'ajoutent les catégories que si on ajoute une ligne catégorie dans la partie *metadata* du fichier.md comme dans l'exemple ci-dessous:

    ---
    title: My First Review
    date: 2010-12-03 10:20
    category: Review
    ---
    
Je n'ai pas réussi à faire des catégories en ajoutant mes billets dans des sous-dossiers sous Hugo et Jekyll, plusieurs tentatives et à chaque fois j'ai eu des soucis, j'aime pouvoir avoir la possibilité de le faire car c'est bien plus facile quand on doit changer ou faire des catégories pour un grand nombre de billets.

Voila pour les changements de cette année 2019, on verra si on reste dessus ou si on retourne sous Hugo, pour le moment j'ai exactement ce que je veux...
