---
title: Sortie de Xfce 4.16
date: 2020-12-23 12:03
---
Aujourd'hui, après 1 an et 4 mois de travail, nous sommes heureux d'annoncer la sortie du bureau Xfce 4.16, une nouvelle version stable qui remplace Xfce 4.14.

4.16 était un cycle spécial à bien des égards (non seulement en termes de pandémie, mais aussi). L'une des pierres angulaires des changements non liés au code concerne notre migration vers GitLab, qui est un changement dans le flux de travail de développement et un énorme pas en avant pour devenir plus convivial et accueillant pour les contributeurs. Dans certaines parties, l' [énorme journal des modifications de Xfce 4.16](https://www.xfce.org/download/changelogs/4.16) peut être attribué à de nouveaux contributeurs proposant des demandes de fusion (288 demandes de fusion ont été fusionnées ou fermées uniquement pour nos composants de base!). Nous avons également créé un conteneur Docker de référence ( [xfce / xfce-build](https://hub.docker.com/r/xfce/xfce-build) ) et ajouté des pipelines CI à tous les composants pour nous assurer de ne pas casser la construction. Rien de tout cela n'aurait été possible sans notre hébergement sponsorisé par [Gandi](https://gandi.net/) et [Fosshost](https://fosshost.org/) !

Un autre grand changement concerne notre identité visuelle, que nous avons mise à jour à partir d'un étrange mélange d'icônes aléatoires (en partie basées sur Tango) et ne suivant aucun schéma de dénomination vers un nouvel ensemble visuellement cohérent (suivant la spécification de dénomination de freedesktop.org et une palette de couleurs fixe ). Nous sommes conscients que cela générera du travail pour les responsables de thèmes d'icônes (s'ils veulent vraiment remplacer nos magnifiques icônes;)) mais nous pensons que l'avantage à long terme l'emporte sur cet effort ponctuel.

![icônes en amont](https://cdn.xfce.org/about/tour/4.16/upstream-icons.png)

Et puis finalement, nous avons fait un peu de ménage (par exemple en supprimant le code de support Gtk2) et nous avons également ajouté des fonctionnalités et des améliorations - tout en respectant un délai raisonnable pour le cycle de publication.

Alors sans plus tarder, voici **les principaux points forts de cette version** :

- Le [gestionnaire de fenêtres](https://docs.xfce.org/xfce/xfwm4/start) a de nouveau reçu de nombreuses mises à jour et améliorations dans le domaine de la composition et de GLX. Si un affichage principal a été défini, la boîte de dialogue Alt-Tab ne sera désormais affichée qu'à cet endroit. De plus, de nouvelles options pratiques pour agrandir le curseur avec le reste de l'affichage ainsi qu'une option pour conserver les fenêtres réduites dans la liste la plus récemment utilisée complètent cette version.
- Nous avons ajouté un nouveau plugin au [panneau](https://docs.xfce.org/xfce/xfce4-panel/start) appelé "statustray" qui combine à la fois les éléments StatusNotifier et les anciens éléments Systray. Une transition de masquage automatique animée montre maintenant clairement à l'utilisateur "où le panneau est allé" et un mode sombre (activé par défaut) fait que le panneau se laisse tomber un peu plus en arrière-plan avec des thèmes clairs comme l'Adwaita par défaut de Gtk. Quelques améliorations plus petites ont également été introduites comme l'accès aux actions du bureau à partir du menu contextuel d'un Launcher, le plugin Window Buttons proposant désormais de `Lancer une nouvelle instance` d'une application et le Workspace Switcher affichant désormais en option la numérotation automatique des espaces de travail .
- La prise en charge de la mise à l'échelle fractionnaire a été ajoutée à la [boîte de dialogue](https://docs.xfce.org/xfce/xfce4-settings/display) d'affichage , ainsi que la mise en évidence du mode d'affichage préféré avec un astérisque et l'ajout de rapports d'aspect à côté des résolutions. Le retour à un mode de fonctionnement après une mauvaise configuration de la disposition d'affichage a également été rendu plus robuste.
- Un nouvel onglet dans la boîte de dialogue «À propos de Xfce» affiche des informations système de base telles que le type de CPU ou de GPU. En outre, la mise en page et les visuels de la boîte de dialogue ont été améliorés.
- Le [gestionnaire de paramètres](https://docs.xfce.org/xfce/xfce4-settings/start) a amélioré les capacités de recherche et de filtrage. De plus, toutes les boîtes de dialogue de paramètres utilisent désormais des décorations de fenêtre dessinées par Gtk (décorations côté client).
- Les boîtes de dialogue "Paramètres Mime" et "Applications préférées" ont été fusionnées dans la boîte de dialogue "Applications par défaut" - ce qui permet aux utilisateurs de définir plus facilement quelle application gère quel type de fichier ou quelle action à partir d'un seul endroit.
- Notre gestionnaire de fichiers [Thunar](https://docs.xfce.org/xfce/thunar/start) a reçu une multitude de correctifs et de nombreuses fonctionnalités notables, notamment la pause pour les opérations de copie / déplacement, la prise en charge du transfert de fichiers en file d'attente, la mémorisation des paramètres d'affichage par répertoire et la prise en charge de la transparence dans les thèmes Gtk.
- Notre [gobelet de service de vignette](https://docs.xfce.org/xfce/thunar/tumbler) est devenu plus flexible en pouvant exclure des chemins. De plus, le support pour .epub (format e-book) a été ajouté.
- Le [gestionnaire de session](https://docs.xfce.org/xfce/xfce4-session/start) offre une prise en charge améliorée de l'agent GPG 2.1 et la boîte de dialogue de configuration a été améliorée visuellement.
- Le [gestionnaire d'alimentation](https://docs.xfce.org/xfce/xfce4-power-manager/start) a reçu de nombreuses corrections de bogues et des fonctionnalités plus petites - parmi lesquelles un nettoyage de sa boîte de dialogue de paramètres, un indicateur visuel facultatif pour le moment où le mode de présentation est activé, des icônes d'état de la batterie plus précises et rejetant automatiquement les notifications de faible consommation lors de la connexion d'un chargeur.
- Le [bureau](https://docs.xfce.org/xfce/xfdesktop/start) a principalement reçu des corrections de bugs et de petites améliorations - et le nouveau fond d'écran par défaut!
- Notre bibliothèque de menus [garcon](https://docs.xfce.org/xfce/garcon/start) a reçu de nouvelles API et ne lance plus d'applications en tant qu'enfants du processus hébergeant le menu. Le comportement précédent a conduit des applications à planter avec par exemple le panneau.
- Le [chercheur d'applicaton](https://docs.xfce.org/xfce/xfce4-appfinder/start) permet désormais de trier les applications par «fréquence» - une combinaison de fréquence et de récence.
- Mises à jour des dépendances: Supprimez Gtk2, ajoutez LibGTop, bump Gtk> = 3.22, GLib et GDBus> = 2.50

Une visite en ligne des modifications apportées à Xfce 4.16 peut être consultée ici:

<https://www.xfce.org/about/tour416>

Un aperçu détaillé des changements entre les versions Xfce 4.14 et Xfce 4.16 est disponible sur la page suivante:

<https://www.xfce.org/download/changelogs>

Cette version peut être téléchargée soit sous la forme d'un ensemble de packages individuels, soit sous la forme d'une seule archive tar comprenant toutes ces versions individuelles:

<https://archive.xfce.org/xfce/4.16>

Meilleures salutations,
L'équipe de développement Xfce

Source:<https://xfce.org/about/news/?post=1608595200>
